// Screen size variables
$screen-xs-min: 425px;  // Tiny phones
$screen-sm-min: 576px;  // Small tablets and large smartphones (landscape view)
$screen-md-min: 768px;  // Small tablets (portrait view)
$screen-lg-min: 992px;  // Tablets and small desktops
$screen-xl-min: 1200px; // Large tablets and desktops

// Mixins
// stylelint-disable at-rule-empty-line-before
@mixin xs { @media (min-width: #{$screen-xs-min}) { @content; } } // Tiny devices
@mixin sm { @media (min-width: #{$screen-sm-min}) { @content; } } // Small devices
@mixin md { @media (min-width: #{$screen-md-min}) { @content; } } // Medium devices
@mixin lg { @media (min-width: #{$screen-lg-min}) { @content; } } // Large devices
@mixin xl { @media (min-width: #{$screen-xl-min}) { @content; } } // Extra large devices

@mixin xs-max { @media (max-width: #{$screen-xs-min - 1}) { @content; } } // Tiny devices
@mixin sm-max { @media (max-width: #{$screen-sm-min - 1}) { @content; } } // Small devices
@mixin md-max { @media (max-width: #{$screen-md-min - 1}) { @content; } } // Medium devices
@mixin lg-max { @media (max-width: #{$screen-lg-min - 1}) { @content; } } // Large devices
@mixin xl-max { @media (max-width: #{$screen-xl-min - 1}) { @content; } } // Extra large devices
